*** 1.1	1996/03/22 20:24:21
--- xfm-1.3.1/Imakefile	1996/03/22 20:42:52
***************
*** 26,35 ****
  InstallSubdirs(Subdirs)
  InstallManSubdirs(Subdirs)
  
! XFMLIBDIR = $(LIBDIR)/xfm
  
  CppScriptTarget(xfm.install.script,xfm.install.cpp,-DLIBDIR=$(XFMLIBDIR),)
  InstallScript(xfm.install,$(BINDIR))
  
  /* CppFileTarget will not work under SunOS 4.1, you might wish to replace
     it by CppScriptTarget or install the appdefaults file by hand. */
--- 26,37 ----
  InstallSubdirs(Subdirs)
  InstallManSubdirs(Subdirs)
  
! XFMLIBDIR = $(DESTDIR)$(LIBDIR)/xfm
  
+ #ifndef OS2Architecture
  CppScriptTarget(xfm.install.script,xfm.install.cpp,-DLIBDIR=$(XFMLIBDIR),)
  InstallScript(xfm.install,$(BINDIR))
+ #endif
  
  /* CppFileTarget will not work under SunOS 4.1, you might wish to replace
     it by CppScriptTarget or install the appdefaults file by hand. */
*** 1.1	1996/03/22 19:59:46
--- xfm-1.3.1/xfm/Fm.h	1996/03/22 20:12:06
***************
*** 42,47 ****
--- 42,60 ----
  #define S_ISSOCK(mode) (mode & S_IFMT) == S_IFSOCK
  #endif
  
+ /* OS/2 also does not have everything */
+ #ifdef __EMX__
+ #define lstat stat
+ #define getwd(s) _getcwd2(s,MAXPATHLEN)
+ #define chdir(s) _chdir2(s)
+ #define S_ISLNK(mode) (0)
+ #define S_ISBLK(mode) (0)
+ #define symlink(t,s) (0)
+ #define readlink(s,t,l) (strcpy(t,s),strlen(t))
+ #define mkfifo(p,m) (0)
+ #define mknod(p,m,d) (0)
+ #endif
+ 
  /* for compatibility with BSDI */
  #define fnmatch xfnmatch
  
*** 1.1	1996/03/22 20:18:41
--- xfm-1.3.1/xfm/FmBitmaps.c	1996/03/22 20:22:44
***************
*** 208,217 ****
--- 208,226 ----
    xpm_attr.numsymbols = 1;
    XtVaGetValues(aw.shell, XtNbackground, &none_color.pixel, NULL);
  
+ #ifndef __EMX__
    if (XpmReadFileToPixmap(dpy, win,
  			  searchPath(fullname, resources.pixmap_path, name),
  			  &icon_bm, NULL, &xpm_attr) == XpmSuccess)
      return icon_bm;
+ #else
+   { char *c = (char*)__XOS2RedirRoot(resources.pixmap_path);
+     if (XpmReadFileToPixmap(dpy, win,
+ 			  searchPath(fullname, c, name),
+ 			  &icon_bm, NULL, &xpm_attr) == XpmSuccess)
+       return icon_bm;
+   }
+ #endif
  #endif
  
    /* now search bitmap in standard locations (*bitmapFilePath): */
***************
*** 223,232 ****
--- 232,250 ----
  
    /* finally search along *bitmapPath: */
  
+ #ifndef __EMX__
    if (XReadBitmapFile(dpy, win,
  		      searchPath(fullname, resources.bitmap_path, name),
  		      &w, &h, &icon_bm, &x, &y) == BitmapSuccess)
      return icon_bm;
+ #else
+   { char *c = (char*)__XOS2RedirRoot(resources.bitmap_path);
+     if (XReadBitmapFile(dpy, win,
+ 		      searchPath(fullname, c, name),
+ 		      &w, &h, &icon_bm, &x, &y) == BitmapSuccess)
+       return icon_bm;
+   }
+ #endif
    return None;
  }
  
*** 1.1	1996/03/22 19:56:41
--- xfm-1.3.1/xfm/FmDirs.c	1996/03/22 21:55:04
***************
*** 87,94 ****
--- 87,102 ----
      fl = (FileRec **) XTREALLOC(fl, (i+1)*sizeof(FileRec *));
      fl[i] = (FileRec *) XtMalloc(sizeof(FileRec));
      strcpy(fl[i]->name, entry->d_name);
+ 
      if (lstat(entry->d_name, &(fl[i]->stats)))
+ #ifndef __EMX__
        goto error1;
+ #else
+     { 
+       if (strlen(fw->directory)==3 && !strcmp(entry->d_name,".."))
+         fl[i]->stats.st_mode = S_IFDIR;
+     }
+ #endif
      if (S_ISLNK(fl[i]->stats.st_mode)) {
        fl[i]->sym_link = True;
        stat(entry->d_name, &(fl[i]->stats));
***************
*** 123,128 ****
--- 131,139 ----
  {
    FileList fl = NULL, oldfl = fw->files;
    int n = 0, m = 0;
+ #ifdef __EMX__
+   struct stat statbuf;
+ #endif
  
  #ifdef DEBUG_MALLOC
    fprintf(stderr,"entering filterDirectory: %lu\n",malloc_inuse(NULL));
***************
*** 137,143 ****
--- 148,156 ----
  	 (
  	  !strcmp(oldfl[m]->name,"..") ||
  	  (
+ #ifndef __EMX__
  	   (fw->show_hidden || (oldfl[m]->name[0] != '.')) &&
+ #endif
  	   (
  	    (S_ISDIR(oldfl[m]->stats.st_mode) && (type != Files)) ||
  	    (!S_ISDIR(oldfl[m]->stats.st_mode) && type != Directories)
*** 1.1	1996/03/22 19:54:07
--- xfm-1.3.1/xfm/FmErrors.c	1996/03/22 19:54:34
***************
*** 22,28 ****
  #define LABEL_WIDTH 300
  
  /* Uggh ...... */
! #ifndef linux
  extern char *sys_errlist[];
  #endif
  
--- 22,28 ----
  #define LABEL_WIDTH 300
  
  /* Uggh ...... */
! #if !defined(linux) && !defined(__EMX__)
  extern char *sys_errlist[];
  #endif
  
*** 1.1	1996/03/22 19:56:49
--- xfm-1.3.1/xfm/FmFw.c	1996/03/22 21:44:40
***************
*** 1368,1377 ****
--- 1368,1379 ----
      }
    }
  
+ #ifndef __EMX
    if (fw->show_hidden)
      tick(fw->view_items[10]);
    else
      noTick(fw->view_items[10]);
+ #endif
  
    noTick(fw->view_items[0]);
    noTick(fw->view_items[1]);
*** 1.1	1996/03/22 19:57:27
--- xfm-1.3.1/xfm/FmOps.c	1996/03/22 22:04:06
***************
*** 186,192 ****
--- 186,196 ----
      return (strcpy(s1, s2));
    for (s = p; *s; s = t) {
      int l;
+ #ifndef __EMX__
      if (!(t = strchr(s, ':')))
+ #else
+     if (!(t = strchr(s, ';')))
+ #endif
        t = strchr(s, 0);
      if (s == t) goto next;
      if (s[0] == '.')
